Package org.apache.sling.testing.clients.util.poller

# Interface Poller

All Known Implementing Classes:
  `AbstractPoller`, `PathPoller`

@Deprecated public interface Poller
Deprecated.
use `Polling` instead.
Abstract Poller interface. Provides simple methods to implement custom pollers

See Also:
  - `for a better way to implement polling`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`call()`
Deprecated.
`boolean`
`callAndWait()`
Deprecated.
`boolean`
`callUntilCondition()`
Deprecated.
`boolean`
`condition()`
Deprecated.

## Method Details

### call

boolean call()
Deprecated.

### condition

boolean condition()
Deprecated.

### callAndWait

boolean callAndWait() throws InterruptedException
Deprecated.

Throws:
  `InterruptedException`

### callUntilCondition

boolean callUntilCondition() throws InterruptedException
Deprecated.

Throws:
  `InterruptedException`